import { CSSProperties } from "react";
export type THeaderMenuItem = {
    title?: any;
    description?: any;
    titleColor?: string;
    descColor?: string;
    icon?: string;
    target?: string;
    style: CSSProperties;
    hidden?: boolean;
    href?: string;
    onClick?: () => void;
};
export type THeaderMenuItemsProps = {
    title: string;
    colorName: string;
    href?: string;
    mobileView?: boolean;
    data?: THeaderMenuItem[];
};
export declare const HeaderMenuItems: (props: THeaderMenuItemsProps) => JSX.Element;
export default HeaderMenuItems;
